### Struct

# Ggit DiffHunk

#### Description [src]

    struct GgitDiffHunk {
      /* No available fields */
    }

Represents the hunk of a diff.

#### Instance methods

###### ggit_diff_hunk_get_header

No description available.

###### ggit_diff_hunk_get_new_lines

Gets the number of lines in the new file.

###### ggit_diff_hunk_get_new_start

Gets the starting line number in the new file.

###### ggit_diff_hunk_get_old_lines

Gets the number of lines in the old file.

###### ggit_diff_hunk_get_old_start

Gets the starting line number in the old file.

###### ggit_diff_hunk_ref

Atomically increments the reference count of `hunk` by one. This function is MT-safe and may be called from any thread.

###### ggit_diff_hunk_unref

Atomically decrements the reference count of `hunk` by one. If the reference count drops to 0, `hunk` is freed.